package com.liquidnet.service.kylin.dto.vo.returns;

import com.liquidnet.service.kylin.entity.KylinBannersRelations;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class KylinOrderListVo implements Serializable,Cloneable {
    private static final long serialVersionUID = 6554829077875538374L;
    private String orderTicketsId;
    private String performanceId;
    private String ticketId;
    private String performanceTitle;
    private String performanceImg;
    private String orderCode;
    private String timeStart;
    private String ticketTitle;
    private String useStart;
    private String overdueAt;
    private Long restTime;
    private BigDecimal priceActual;
    private Integer number;
    private Integer status;
    private Integer expressStatus;
    private String getTicketType;
    private String createdAt;

    private static final KylinOrderListVo obj = new KylinOrderListVo();
    public static KylinOrderListVo getNew() {
        try {
            return (KylinOrderListVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new KylinOrderListVo();
        }
    }
}
